Bug 1258810 - gdeploy: change all references to brick_dir in config file
gdeploy: change all references to brick_dir in config file
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: RHGS 3.1.1
Assigned To: Nandaja Varma
Anush Shetty
: ZStream
Depends On:
Blocks: 1251815
  Show dependency treegraph
 
Reported: 2015-09-01 06:34 EDT by Anush Shetty
Modified: 2016-09-17 10:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: gdeploy-1.0-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 03:25:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2015-09-01 06:34:15 EDT
Description of problem: In the sample config file, brick_dirs option has been incorrectly referred to as brick_dir.

Sample config file is located here: /usr/share/doc/ansible/gdeploy/examples/gluster.conf.sample

Version-Release number of selected component (if applicable): gdeploy-1.0-6.el7rhgs.noarch


How reproducible: Always


Actual results:

cat /usr/share/doc/ansible/gdeploy/examples/gluster.conf.sample

# [brick_dir]
# gluster_brick


# Host specific data are to be given as follows

[10.70.46.13]
devices=/dev/sdb,/dev/vdb,/dev/vda
vgs=CUSTOM_vg1,CUSTOM_vg2,CUSTOM_vg3
pools=CUSTOM_pool1,CUSTOM_pool2,CUSTOM_pool3
lvs=CUSTOM_lv1,CUSTOM_lv2,CUSTOM_lv3
mountpoints=/gluster/brick1,/gluster/brick2,/gluster/brick3
brick_dir=glusterbrick
Comment 2 Nandaja Varma 2015-09-01 09:27:45 EDT
Fixed and will be available with next build.
Comment 3 Anush Shetty 2015-09-07 02:55:17 EDT
Verified with gdeploy-1.0-8.el7rhgs.noarch
Comment 6 errata-xmlrpc 2015-10-05 03:25:27 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1845.html

Note You need to log in before you can comment on or make changes to this bug.